# Get a specific Amazon SNS channel

> **GET** `https://api.us.nylas.com/v3/channels/sns/{id}`

Source: https://developer.nylas.com/docs/reference/api/amazon-sns-notifications/get-sns-by-id/

Get a specific Amazon SNS notification channel from a specific Nylas application.

**Authentication:** NYLAS_API_KEY

## Parameters

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `id` | string | Yes | The ID of the Amazon SNS channel to retrieve. |

## Responses

### 200 - The Amazon SNS channel matching the query.

- `data` (object)
  - `id` (string) - A unique identifier for the Amazon SNS channel.
  - `description` (string) - A human-readable description of the Amazon SNS channel.
  - `trigger_types` (array) - The event that triggers the notification. See the
[notification schemas](/docs/reference/notifications/) for details about each trigger
type.

See the [Grants](/docs/reference/api/manage-grants/), [Calendar](/docs/reference/api/calendar/),
[Events](/docs/reference/api/events/), and [Messages](/docs/reference/api/messages/) references
for information on how to trigger each event type.
  - `topic` (string) - The Amazon SNS topic ARN that Nylas sends notifications to.
  - `role_arn` (string) - The ARN of the IAM role that Nylas assumes to publish messages to the SNS topic.
  - `status` (string) - The deliverability status of the Amazon SNS channel.
  - `notification_email_addresses` (array) - The email addresses that Nylas notifies if delivery to the Amazon SNS channel fails.
  - `compressed_delivery` (boolean) - If `true`, Nylas gzip-compresses and then base64-encodes notification payloads before delivering them.
  - `status_updated_at` (integer) - The time the `status` field was last updated, represented as a Unix timestamp in seconds.
  - `created_at` (integer) - The time the Amazon SNS channel was created, represented as a Unix timestamp in seconds.
  - `updated_at` (integer) - The time the Amazon SNS channel was last updated, represented as a Unix timestamp in seconds.
- `request_id` (string) - The unique ID of the request that generated this response.

### 400 - Unable to get Amazon SNS channel information

- `error` (object)
  - `type` (string) - An alphanumeric code that represents the error type.
  - `message` (string) - A human readable message with details about the error.
- `request_id` (string) - The unique ID of the request that generated this response.

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.us.nylas.com/v3/channels/sns/<SNS_CHANNEL_ID>' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <NYLAS_API_KEY>'
```
